<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-btn stretch flat label="BBCleanPro" to="/"></q-btn>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" bordered content-class="bg-grey-1">
      <q-list style="margin-top : 160px">
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
          style="margin-top : 10px"
        />
      </q-list>
      <q-item class="justify-evenly q-mt-xl" style="font-size: 30px">
        <q-icon name="info" />
        <q-icon name="power_settings_new" />
      </q-item>
      <q-img
        class="absolute-top"
        src="https://cdn.quasar.dev/img/material.png"
        style="height: 150px"
      >
        <div class="absolute-bottom bg-transparent">
          <q-avatar size="56px" class="q-mb-sm">
            <img src="https://cdn.quasar.dev/img/boy-avatar.png" />
          </q-avatar>
          <div class="text-weight-bold">Razvan Stoenescu</div>
          <div>Statut</div>
        </div>
      </q-img>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from "components/EssentialLink.vue";

const linksData = [
  {
    title: "Ajouter un employé",
    icon: "add",
    link: "/newemployee"
  },
  {
    title: "Rechercher un employé",
    icon: "search",
    link: "/search"
  },
  {
    title: "Voir les chiffres",
    icon: "show_chart",
    link: "/statistics"
  },
  {
    title: "Voir les prestations",
    icon: "fact_check",
    link: "/benefits"
  },
  {
    title: "Emploi du temps",
    icon: "calendar_today",
    link: "/timetable"
  },
  {
    title: "Prendre rendez-vous",
    icon: "alarm",
    link: "/meeting"
  }
];

export default {
  name: "MainLayout",
  components: { EssentialLink },
  data() {
    return {
      leftDrawerOpen: false,
      essentialLinks: linksData
    };
  }
};
</script>
